Error trying to install Fsharp tools

:information_source: Attention Topic was automatically imported from the old Question2Answer platform.
:bust_in_silhouette: Asked By hackemate

Hello guys I am trying to install Fsharp tools but getting these errors.

Cannot load addon script from path: ‘res://addons/godot-fsharp-tools/plugin.gd’ There seems to be an error in the code, please check the syntax. Disable the plugin in ‘res://addons/godot-fsharp-tools/plugin.cfg’ to prevent further errors.

  1. res://addons/godot-fsharp-tools/plugin.gd:1 - Parse Error:
    Unexpected “Identifier” in class body.

  2. core/config/project_settings.cpp:343 - Property not found:
    editor_plugins/enabled

:bust_in_silhouette: Reply From: jgodfrey

It looks like that project hasn’t been updated in about 4 years. As such, it seems to target Godot 3.x instead of Godot 4. Since the there were lots of changes to the core gdscript language since Godot 3.x, the project’s code isn’t compatible with Godot 4.

I don’t know whether there is an updated version of the project elsewhere or whether a completely different, Godot 4 compatible extension exists.